Last Comment Bug 496045 - Disable "View message source" as a group action
: Disable "View message source" as a group action
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: x86 Windows XP
-- minor (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 448288
  Show dependency treegraph
 
Reported: 2009-06-02 17:40 PDT by Joe Sabash [:JoeS1]
Modified: 2015-09-09 18:12 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Joe Sabash [:JoeS1] 2009-06-02 17:40:51 PDT
If you have the new summary page for collapsed threads displayed, and you happen to select View message source, you are lead though sequential views of all the posts in the thread.

There is no way to cancel the sequence, and the thread could be quite long.
(I've seen some as long as 250 posts in newsgroups)

I really don't see a use case for enabling View source on multiple messages.

Imagine having to dismiss 250 source displays (one at a time), after choosing to view source.
Comment 1 User image Ronald Killmer 2009-06-03 11:15:58 PDT
I had discovered this when my curiosity wanted to view the source of the new summary display. Fortunately the thread of news msgs was short. I passed on my observation to JoeS in m.d.a.t since the issue might arise in the forums.

For a shipping product the behavior needs to be blocked. During development though, an ability to view source of just the summary might have utility.
Comment 2 User image alta88 2015-09-09 14:23:59 PDT
fixed in Bug 500216?
Comment 3 User image Ronald Killmer 2015-09-09 16:32:02 PDT
I tested this using my bug mail archive.  When summary was closed, View Source is inactive.  Opening the thread activated the view and only the selected mail item opened in a View source window.  Thus the behavior is now the same as the fix for Bug 500216.

Think we can close this bug now.
Comment 4 User image Joe Sabash [:JoeS1] 2015-09-09 18:12:43 PDT
Fixed in https://bugzilla.mozilla.org/show_bug.cgi?id=500216
Great to see you still posting in BZ Ron, and alta88 still involved.
Long time no see, my email is good, drop me a line sometime

Note You need to log in before you can comment on or make changes to this bug.